Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.35
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class ConstantInvokeDynamic

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantInvokeDynamic

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantInvokeDynamic

extends Constant

This class is derived from the abstract Constant class and represents a reference to a invoke dynamic.

See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantInvokeDynamic(ConstantInvokeDynamic c)` Initialize from another object.
`ConstantInvokeDynamic(int bootstrap_method_attr_index, int name_and_type_index)`

Method Summary
`int` | `getBootstrapMethodAttrIndex()`
`int` | `getNameAndTypeIndex()`
`void` | `setBootstrapMethodAttrIndex(int bootstrap_method_attr_index)`
`void` | `setNameAndTypeIndex(int name_and_type_index)`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantInvokeDynamic

    public ConstantInvokeDynamic(ConstantInvokeDynamic c)

  Initialize from another object.

### ConstantInvokeDynamic

    public ConstantInvokeDynamic(int bootstrap_method_attr_index,
                                 int name_and_type_index)

Method Detail

### getBootstrapMethodAttrIndex

    public int getBootstrapMethodAttrIndex()

### setBootstrapMethodAttrIndex

    public void setBootstrapMethodAttrIndex(int bootstrap_method_attr_index)

### getNameAndTypeIndex

    public int getNameAndTypeIndex()

### setNameAndTypeIndex

    public void setNameAndTypeIndex(int name_and_type_index)

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.35
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.